from http.server import BaseHTTPRequestHandler, HTTPServer

serverPort = 8000


class Server(BaseHTTPRequestHandler):

    def do_GET(self):
        if self.path.endswith("/"):
            self.send_response(200)
            self.send_header("Content-type", "text/html")
            self.end_headers()
            self.wfile.write("200_OK".encode("utf-8"))


        if self.path.endswith("/info"):
            self.send_response(200)
            self.send_header("Content-type", "text/html")
            self.end_headers()
            self.wfile.write("Alexey Shumkov 703".encode("utf-8"))


server = HTTPServer(("", serverPort), Server)
print(f"Server started at http://localhost:{serverPort}")
try:
    server.serve_forever()
except KeyboardInterrupt:
    server.server_close()
    print("Server stopped.")
